'use strict';

var _detectBrowser = require('detect-browser');

var _detectBrowser2 = _interopRequireDefault(_detectBrowser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var browserName = _detectBrowser2.default && _detectBrowser2.default.name;
var browserVersion = _detectBrowser2.default && _detectBrowser2.default.version;

function majorVersion() {
  if (!browserVersion) {
    return null;
  }

  var majorVersionString = browserVersion.split('.')[0];
  return parseInt(majorVersionString, 10);
}

function isSafari() {
  if (!browserName) {
    return false;
  }

  return browserName === 'safari';
}

function isSafari9() {
  return isSafari() && majorVersion() === 9;
}

function isSafari10() {
  return isSafari() && majorVersion() === 10;
}

exports.hasBadMouseBehavior = function () {
  return isSafari9() || isSafari10();
};